Skip to main content

v0/endpoints/{id}/urls REST API Endpoint

Returns the URLs for a specific endpoint. For multichain endpoints, the response also includes a multichain_urls map with the URLs for every supported network.

Updated on
Oct 29, 2026

Path Parameters

id
string
REQUIRED

The unique identifier for the specific endpoint

Returns

data
object

The data object which contains the following fields:

http_url
string

The HTTP URL to access the endpoint

wss_url
string

The WebSocket URL to access the endpoint

multichain_urls
object

Only present for multichain endpoints. An object keyed by network identifier (e.g. avalanche-mainnet), where each value contains the HTTP and WebSocket URLs for that network.

{network}
object

Per-network URL entry. The key is the network identifier (e.g. avalanche-mainnet).

http_url
string

The HTTP URL to access the endpoint on this network

wss_url
string

The WebSocket URL to access the endpoint on this network

error
string

Contains error information, if any

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free